import serial

import busio
from digitalio import DigitalInOut, Direction, Pull
import board
#import adafruit_rfm69
import adafruit_rfm9x

CS = DigitalInOut(board.CE1)
RESET = DigitalInOut(board.D25)
spi = busio.SPI(board.SCK, MOSI=board.MOSI, MISO=board.MISO)
#rfm = adafruit_rfm69.RFM69(spi, CS, RESET, 868.0)
rfm = adafruit_rfm9x.RFM9x(spi, CS, RESET, 868.0)


addr = '/tmp/virttty'
ser = serial.serial_for_url(addr)


while True:
    packet = None
    packet = rfm.receive()
    ser_data = bytearray()
    while ser.inWaiting() > 0:
        recieved_byte = ser.read(1)
        ser_data += recieved_byte
    if ser_data == b'':
        pass
    else:
        print("new message:", ser_data.decode())
        rfm.send(ser_data)
    if packet is None:
        pass
    else:
        print("Received:", packet.decode())
        ser.write(packet)